# Interface PostMessageCpiAccounts

#### Hierarchy

- WormholeDerivedAccounts
  - PostMessageCpiAccounts

- Defined in utils/cpi.ts:49

#####
Index

### Properties

clock
payer
rent
systemProgram
wormholeBridge
wormholeEmitter
wormholeFeeCollector
wormholeMessage
wormholeSequence

## Properties

### clock

clock: PublicKey

- Defined in utils/cpi.ts:52

### payer

payer: PublicKey

- Defined in utils/cpi.ts:50

### rent

rent: PublicKey

- Defined in utils/cpi.ts:53

### systemProgram

systemProgram: PublicKey

- Defined in utils/cpi.ts:54

### wormholeBridge

wormholeBridge: PublicKey

seeds = ["Bridge"], seeds::program = wormholeProgram

Inherited from WormholeDerivedAccounts.wormholeBridge

- Defined in utils/cpi.ts:13

### wormholeEmitter

wormholeEmitter: PublicKey

seeds = ["emitter"], seeds::program = cpiProgramId

Inherited from WormholeDerivedAccounts.wormholeEmitter

- Defined in utils/cpi.ts:17

### wormholeFeeCollector

wormholeFeeCollector: PublicKey

seeds = ["fee_collector"], seeds::program = wormholeProgram

Inherited from WormholeDerivedAccounts.wormholeFeeCollector

- Defined in utils/cpi.ts:25

### wormholeMessage

wormholeMessage: PublicKey

- Defined in utils/cpi.ts:51

### wormholeSequence

wormholeSequence: PublicKey

seeds = ["Sequence", wormholeEmitter], seeds::program = wormholeProgram

Inherited from WormholeDerivedAccounts.wormholeSequence

- Defined in utils/cpi.ts:21

Generated using TypeDoc